﻿<%@ Page Language="C#" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<script type="text/C#" runat="server">
    protected void Page_Load(object sender, EventArgs e)
    {
        RadFilter1.FilterContainerID = "RadGrid1";
    }

    protected override void OnInit(EventArgs e)
    {
        base.OnInit(e);

        RadGrid grid = new RadGrid();
        grid.ID = "RadGrid1";

        grid.AutoGenerateColumns = false;

        GridBoundColumn col = new GridBoundColumn() { DataField = "Col1", HeaderText = "Col 1" };
        grid.MasterTableView.Columns.Add(col);

        col = new GridBoundColumn() { DataField = "Col2", HeaderText = "Col 2" };
        grid.MasterTableView.Columns.Add(col);

        grid.NeedDataSource += (source, args) =>
        {
            grid.DataSource = Enumerable.Range(0, 5).Select(i => new { Col1 = "Col1 " + i, Col2 = "Col2 " + i });
        };

        GridHolder.Controls.Add(grid);
    }
</script>
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
</head>
<body>
    <form id="form1" runat="server">
    <asp:ScriptManager runat="server" />
    <div>
        <telerik:RadAjaxPanel runat="server" ID="RadAjaxPanel1">

            <telerik:RadFilter runat="server" ID="RadFilter1">
            </telerik:RadFilter>

            <asp:PlaceHolder runat="server" ID="GridHolder"></asp:PlaceHolder>

        </telerik:RadAjaxPanel>
    </div>
    </form>
</body>
</html>
